Get Network Status
curl --request GET \
--url https://api.soharhealth.com/v1/network-status/{verificationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.soharhealth.com/v1/network-status/{verificationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.soharhealth.com/v1/network-status/{verificationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verificationId": "fb701ac1-1246-4860-b1ec-bd916b97a990",
"payer": {
"id": "60054",
"name": "Aetna"
},
"labels": [
{
"id": "cb075a05-4510-456c-addb-fc2efdb74686",
"color": "green"
},
{
"id": "de6a246c-2900-4b47-b748-aa32ab51e1da",
"color": "orange"
},
{
"id": "992d71b7-ef7e-47e3-92c4-1a1c459d3333",
"color": "yellow"
},
{
"id": "d7d9a80a-985b-429a-9163-07539f281382",
"color": "blue"
},
{
"id": "cfb12530-ff1e-40b0-8ffe-e4d3ab4ce422",
"color": "red"
}
],
"providerGroups": [
{
"id": "992d71b7-ef7e-47e3-92c4-1a1c459d3333",
"name": "My Group",
"tin": "123456789",
"status": "inn"
},
{
"id": "de6a246c-2900-4b47-b748-aa32ab51e1da",
"name": "Another Group",
"tin": "987654321",
"status": "oon"
}
]
}{
"error": "invalid_request_error"
}{
"error": "invalid_request_error"
}Network Status
Get Network Status
GET
/
v1
/
network-status
/
{verificationId}
Get Network Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
A network status
The network status for the verification
Available options:
inn, oon, pending The Sohar ID for the verification
Example:
"fb701ac1-1246-4860-b1ec-bd916b97a990"
Show child attributes
Show child attributes
Optional system-defined labels. See possible values below
Show child attributes
Show child attributes
Example:
[
{
"id": "cb075a05-4510-456c-addb-fc2efdb74686",
"color": "green"
},
{
"id": "de6a246c-2900-4b47-b748-aa32ab51e1da",
"color": "orange"
},
{
"id": "992d71b7-ef7e-47e3-92c4-1a1c459d3333",
"color": "yellow"
},
{
"id": "d7d9a80a-985b-429a-9163-07539f281382",
"color": "blue"
},
{
"id": "cfb12530-ff1e-40b0-8ffe-e4d3ab4ce422",
"color": "red"
}
]
Optional provider groups associated with the rule
Show child attributes
Show child attributes
Example:
[
{
"id": "992d71b7-ef7e-47e3-92c4-1a1c459d3333",
"name": "My Group",
"tin": "123456789",
"status": "inn"
},
{
"id": "de6a246c-2900-4b47-b748-aa32ab51e1da",
"name": "Another Group",
"tin": "987654321",
"status": "oon"
}
]
⌘I